package com.hr.service;


import com.github.pagehelper.PageInfo;
import com.hr.param.IpAccountParam;
import com.hr.param.SwitchStatusParam;
import com.hr.repository.domain.IpAccountPO;
import com.hr.vo.IpAccountVO;
import com.yy.basedevelop.common.data.BasePageResult;
import com.yy.basedevelop.dto.LoginUser;
import org.springframework.data.domain.Page;

/**
 * 账户表;(ip_account)表服务接口
 * @author : http://www.yonsum.com
 * @date : 2025-10-10
 */
public interface IpAccountService{
    
    /** 
     * 通过ID查询单条数据 
     *
     * @param aid 主键
     * @return 实例对象
     */
    IpAccountVO queryById(Long aid);
    
    /**
     * 分页查询
     *
     * @param IpAccountPO 筛选条件
     * @param current 当前页码
     * @param size  每页大小
     * @return
     */
    BasePageResult<IpAccountVO> paginQuery(IpAccountParam ipAccountParam, Integer current, Integer size);
    /** 
     * 新增数据
     *
     * @param IpAccountPO 实例对象
     * @return 实例对象
     */
    void insert(IpAccountPO IpAccountPO);
    /** 
     * 更新数据
     *
     * @param IpAccountPO 实例对象
     * @return 实例对象
     */
    void update(IpAccountPO IpAccountPO);
    /**
     * 通过主键删除数据
     *
     * @param aid  主键
     * @param user
     * @return 是否成功
     */
    boolean deleteById(Long aid, LoginUser user);

    void saveOrUpdate(IpAccountParam accountParam, String userName, Long userId);

    Boolean switchStatus(SwitchStatusParam switchStatusParam,LoginUser user);

    IpAccountVO queryByAccountNo(String accountNo);
}